package org.apache.xerces.impl.xs.psvi;

public interface XSComplexTypeDefinition extends XSTypeDefinition {
  public static final short CONTENTTYPE_EMPTY = 0;
  
  public static final short CONTENTTYPE_SIMPLE = 1;
  
  public static final short CONTENTTYPE_ELEMENT = 2;
  
  public static final short CONTENTTYPE_MIXED = 3;
  
  short getContentType();
  
  short getDerivationMethod();
  
  short getProhibitedSubstitutions();
  
  boolean getAbstract();
  
  boolean isProhibitedSubstitution(short paramShort);
  
  XSObjectList getAnnotations();
  
  XSObjectList getAttributeUses();
  
  XSParticle getParticle();
  
  XSSimpleTypeDefinition getSimpleType();
  
  XSWildcard getAttributeWildcard();
}
